MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023400Community[OCCT] OCCT:Meshpublic2012-08-24 11:482014-11-11 13:01
ReporterFabian Hachenberg 
Assigned Tobugmaster 
PrioritynormalSeverityjust a question 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023400: Triangulation of thin ring contains gap
DescriptionHi, I', wondering whether this behaviour is valid. I triangulate a thin ring using the following meshing parameters
deflection (relative) = 0.5
angular_deflection = 0.6

As you can see in the attached screenshot, a gap appears in the ring. I would have expected that the triangulation is always preserving the topology of the shape?
TagsNo tags attached.
Test case numberbugs vis(004) bug23400
Attached Files? file icon thinring.brep (13,778 bytes) 2012-08-24 11:48
png file icon thinring.png (11,114 bytes) 2012-08-24 11:49
png file icon overlapping.png (3,727 bytes) 2013-03-07 17:24

- Relationships
related to 0024084assignedoan Open CASCADE Additional tool for resolving 2d loops on discretized wires should be implemented in BRepMesh 
related to 0025063closedbugmaster Open CASCADE Visualization - 2D objects are not displayed at some camera positions 

-  Notes
(0023629)
oan (developer)
2013-03-07 17:24

Problem is not reproduced on OCC build based on the current master, ring appears without any gaps.

From the other side I suppose this case is caused by overlapping between the discretized representations of the inner and the outer circles forming the ring (please see the attached screenshot). In this situation when the square of an appeared loop is too small and the distances between the intersection points and a sampling point are within the deflection this loop may be replaced by a single link shown as a gap.

As a possible solution the angular deflection should be decreased to provide more precise sampling of the circles and avoid intersections.
(0030024)
oan (developer)
2014-07-09 12:49

Dear KGV,

I have faced a problem during visualization of the attached shape. Could you please investigate?

Steps to reproduce:
pload ALL
restore thinring.brep a
vinit
vsetdispmode 1
vdisplay a
vtop
vfit

# An exception was caught 00816588 : Standard_NumericError: FLT MULTIPLE TRAPS
#(possible overflow in conversion of double to integer)
# ** Exception ** 00816588 : Standard_NumericError: FLT MULTIPLE TRAPS
# (possible overflow in conversion of double to integer)
(0030027)
kgv (developer)
2014-07-09 13:57
edited on: 2014-07-09 15:41

Dear Oleg,

>> I have faced a problem during visualization of the attached shape.
dedicated issue 0025063 has been registered for this regression (since it is irrelevant to this bug description).

Please do not set top view (vtop) as temporary workaround.

(0032179)
abv (manager)
2014-09-26 06:16

Oleg, could you please re-check the actual status of the issue?
(0032250)
oan (developer)
2014-09-26 16:03
edited on: 2014-09-26 16:04

Should not appear on current master. Current implementation of BRepMesh_Classifier tries to prevent appearence of such cases.

Moreover, detailed description of the matter is given in first note.

Dear Bugmaster,
please create corresponded test case and check.

(0032847)
git (administrator)
2014-10-08 20:32

Branch CR23400 has been created by mkv.

SHA-1: 022eaa5f1212f3f4bb9731ae992ea86813cf9c0a


Detailed log of new commits:

Author: mkv
Date: Wed Oct 8 20:32:16 2014 +0400

    Test case for issue CR23400
(0032851)
mkv (tester)
2014-10-08 20:46

Dear BugMaster,
Test cases bugs/vis(004)/bug23400 is created and pushed to new branch CR23400 of occt git-repository.
Test cases bugs/vis(004)/bug23400 is OK.
(0033419)
git (administrator)
2014-10-21 16:42

Branch CR23400 has been deleted by inv.

SHA-1: 022eaa5f1212f3f4bb9731ae992ea86813cf9c0a

- Related Changesets
occt: master e2fd181c
Timestamp: 2014-10-08 16:32:16
Author: mkv
Committer: bugmaster
Details ] Diff ]
0023400: Triangulation of thin ring contains gap

Test case for issue CR23400
add - tests/bugs/vis/bug23400 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-24 11:48 Fabian Hachenberg New Issue
2012-08-24 11:48 Fabian Hachenberg Assigned To => jgv
2012-08-24 11:48 Fabian Hachenberg File Added: thinring.brep
2012-08-24 11:49 Fabian Hachenberg File Added: thinring.png
2012-11-09 10:51 abv Category OCCT:Modeling Algorithms => OCCT:Mesh
2013-03-07 17:24 oan Note Added: 0023629
2013-03-07 17:24 oan File Added: overlapping.png
2013-03-07 17:24 oan Assigned To jgv => Fabian Hachenberg
2013-03-07 17:25 oan Status new => feedback
2013-07-23 12:25 oan Relationship added related to 0024084
2014-07-09 12:49 oan Note Added: 0030024
2014-07-09 12:49 oan Assigned To Fabian Hachenberg => kgv
2014-07-09 13:42 kgv Relationship added related to 0025063
2014-07-09 13:57 kgv Note Added: 0030027
2014-07-09 13:57 kgv Assigned To kgv => oan
2014-07-09 15:41 kgv Note Edited: 0030027 View Revisions
2014-09-12 10:04 abv Target Version => 6.8.0
2014-09-26 06:16 abv Note Added: 0032179
2014-09-26 16:03 oan Assigned To oan => bugmaster
2014-09-26 16:03 oan Note Added: 0032250
2014-09-26 16:03 oan Status feedback => assigned
2014-09-26 16:04 oan Note Edited: 0032250 View Revisions
2014-09-26 16:24 abv Status assigned => feedback
2014-09-29 15:42 bugmaster Assigned To bugmaster => mkv
2014-10-08 20:32 git Note Added: 0032847
2014-10-08 20:46 mkv Note Added: 0032851
2014-10-08 20:46 mkv Assigned To mkv => bugmaster
2014-10-08 20:46 mkv Status feedback => tested
2014-10-08 20:46 mkv Test case number => bugs vis(004) bug23400
2014-10-13 17:52 bugmaster Changeset attached => occt master e2fd181c
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:42 git Note Added: 0033419
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:01 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker